Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jca
Class InboundTransaction

    java.lang.Object
      com.atomikos.icatch.jca.InboundTransaction

    public class InboundTransaction

extends Object

Copyright © 2005, Atomikos. All rights reserved. A transaction token for an inbound JCA transaction. This class represents an underlying transaction and simplifies the JCA-related handling of thread-association and termination issues. An instance is returned when importing via the TransactionInflowHelper.

Note: if full access to the underlying transaction is needed, then this can be done via the TransactionManager interfaces after resume() has been called.

Method Summary
`void` | `end(boolean success)` Ends the underlying transaction.
`void` | `resume()` Resumes the transaction in the calling thread.
`void` | `suspend()` Suspends the transaction from the calling thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resume

    public void resume()

  Resumes the transaction in the calling thread. Calling this method will associate the underlying transaction with the calling thread. This method must be called before any work can be done in the context of this transaction.

### suspend

    public void suspend()

  Suspends the transaction from the calling thread. Calling this method will dissociate the transaction from the calling thread. This method can be called to continue the transaction in another thread (with a later resume).

### end

    public void end(boolean success)
             throws RollbackException

  Ends the underlying transaction. Subsequent calls to resume() and suspend() are not allowed.
  This method must be called in order to make the XATerminator functionality work.

  Parameters:
    `success` - If true then the transaction is maintained until it times out or terminates via the XATerminator methods, whichever comes first. If false then the transaction is rolled back immediately. In that case, the XATerminator functionality is no longer required nor relevant.
  Throws:
    `RollbackException` - If the transaction has already been rolled back due to timeout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.